Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162575 - RFE: xpdf 2 does not understand PDF version 1.5
Summary: RFE: xpdf 2 does not understand PDF version 1.5
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: xpdf
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Mike McLean
URL: http://www.seagate.com/support/disc/m...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-06 13:49 UTC by Andrew Gormanly
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHEL4
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-24 12:52:00 UTC


Attachments (Terms of Use)

Description Andrew Gormanly 2005-07-06 13:49:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.7.8-1.1.3.1

Description of problem:
When opening some PDF files with xpdf 2.02, newer ones cause the error message:

Error: PDF version 1.5 -- xpdf supports version 1.4 (continuing anyway)

to be displayed.  It seems that this version of xpdf does not properly understand PDF version 1.5, only 1.4 and lower.


Version-Release number of selected component (if applicable):
xpdf-2.02-9.6

How reproducible:
Always

Steps to Reproduce:
1. View a PDF 1.5 document
2.
3.
  

Actual Results:  Error message, sometimes bits of document not displayed.

Expected Results:  RHEL3 should include a PDF viewer capable of rendering these documents.

Additional info:

The version of acroread in RHEL3 has the same limitation; xpdf 3.0 does not have this issue, neither does Adobe Reader 7.0

The example URI above is the one that gave me the error message today, but there have been many others recently, and some were missing chunks (mostly images).

Comment 1 Ngo Than 2006-05-24 12:52:00 UTC
yes, updating to new xpdf 3.0 should resolve this problem. RHEL4 already 
includes the new xdpf-3.


Note You need to log in before you can comment on or make changes to this bug.